services:
  transmission:
    container_name: transmission
    image: linuxserver/transmission:4.0.6
    depends_on:
      - surfshark
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/Amsterdam
    network_mode: service:surfshark
    restart: unless-stopped
    volumes:
      - /opt/transmission:/config
      - /media/scratch/torrents:/watch
      - /media/scratch/transmission:/downloads
